%global toolchain clang

Name: intel-opencl-clang
Version: 13.0.0
Release: 1%{?dist}
Summary: Library to compile OpenCL C kernels to SPIR-V modules

License: NCSA
URL:     https://github.com/intel/opencl-clang
Source0: https://github.com/intel/opencl-clang/archive/v%{version}/opencl-clang-v%{version}.tar.gz

BuildRequires: cmake
BuildRequires: make
BuildRequires: llvm
BuildRequires: llvm-libs
BuildRequires: llvm-devel
BuildRequires: clang
BuildRequires: clang-libs
BuildRequires: clang-devel
BuildRequires: spirv-llvm-translator-devel
BuildRequires: zlib-devel

%description
opencl-clang is a thin wrapper library around clang. The library has OpenCL-oriented API and
is capable to compile OpenCL C kernels to SPIR-V modules.

%prep
%setup -q -n opencl-clang-%{version}

%build
%cmake -DPREFERRED_LLVM_VERSION='13.0.0'
%cmake_build

%install
%cmake_install

%files
%{_libdir}/libopencl-clang.so*
%{_includedir}/cclang/common_clang.h


%changelog
* Mon Dec 06 2021 Frantisek Zatloukal <fzatlouk@redhat.com> - 13.0.0-1
- Initial package
